# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::Plugin Class Reference

Basic KTextEditor plugin class. More...

`#include <plugin.h>`

Inheritance diagram for KTextEditor::Plugin:

[legend]
Collaboration diagram for KTextEditor::Plugin:

[legend]
List of all members.

## Public Member Functions

| Plugin (Document *document=0, const char *name=0)
unsigned int | pluginNumber () const
Document * | document () const

## Friends

class | PrivatePlugin

## Detailed Description

Basic KTextEditor plugin class.

This plugin will be bound to a Document.

Definition at line 36 of file plugin.h.

The documentation for this class was generated from the following files:

- plugin.h
- ktexteditor.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:16 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003